### Enumeration

# Vips ForeignTiffPredictor

#### Declaration

    enum Vips.ForeignTiffPredictor

#### Description [src]

The predictor can help deflate and lzw compression. The values are fixed by the tiff library.

#### Members

`VIPS_FOREIGN_TIFF_PREDICTOR_NONE`

  No prediction.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_PREDICTOR_HORIZONTAL`

  Horizontal differencing.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_TIFF_PREDICTOR_FLOAT`

  Float predictor.

  - Value: `3`
  - Available since: 8.0